Twitter

  • Update to Twitter API 1.1 needed

Python 2.6 sur Debian Lenny

La distribution Debian Lenny 5.0.7 propose sur les dépôts officiels la version 2.5 de Python et il s'avère qu'elle devient obsolète.

python

Dans mon précédent article sur OpenSVC, je propose l'installation de la version Python 2.6 via une mise à jour de /etc/apt/sources.list ce qui n'est pas le plus propre. Voici une autre méthode.

Nous allons compiler Python depuis les sources :

apt-get install build-essential libssl-dev
cd /tmp
wget http://www.python.org/ftp/python/2.6.6/Python-2.6.6.tar.bz2
tar xvjf Python-2.6.6.tar.bz2
cd Python-2.6.6
./configure --prefix=/usr/local/python2.6 --with-threads --enable-shared
make
make install

Nous allons désormais mettre à jour le système pour utiliser cette version :

cd /usr/bin/
rm -f python
ln -s /usr/local/python2.6/bin/python python2.6
ln -s python2.6 python
ln -s /usr/local/python2.6/lib/libpython2.6.so.1.0 /usr/lib/
ln -s /usr/local/python2.6/lib/libpython2.6.so /usr/

Facile non ?

Partager


kokoon

Le 10 février 2011

Merci beaucoup !!!!!!!

1

Commenter